MatrixSmoothCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixSmoothCommand:

## Public Member Functions

| MatrixSmoothCommand (MatrixModel *model, double *data, const QString &text)
virtual void | redo ()
virtual void | undo ()
| ~MatrixSmoothCommand ()

## Protected Attributes

double * | d_backup
MatrixModel * | d_model

## Constructor & Destructor Documentation

## MatrixSmoothCommand()

MatrixSmoothCommand::MatrixSmoothCommand | ( | MatrixModel * | model,
|  | double * | data,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

## ~MatrixSmoothCommand()

MatrixSmoothCommand::~MatrixSmoothCommand | ( |  | ) |

inline

References MatrixEditCellCommand::redo(), and MatrixEditCellCommand::undo().

## Member Function Documentation

## redo()

void MatrixSmoothCommand::redo | ( |  | ) |

virtual

References MatrixModel::canResize(), MatrixModel::columnCount(), d_model, MatrixModel::resample(), and MatrixModel::rowCount().

Referenced by Matrix::smooth().

## undo()

void MatrixSmoothCommand::undo | ( |  | ) |

virtual

References MatrixModel::columnCount(), d_backup, d_model, MatrixModel::dataVector(), MatrixModel::matrix(), Matrix::resetView(), and MatrixModel::rowCount().

## Member Data Documentation

## d_backup

double* MatrixSmoothCommand::d_backup

protected

Referenced by undo().

## d_model

MatrixModel* MatrixSmoothCommand::d_model

protected

Referenced by redo(), and undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp